Join a webinar on April 30th: Unlocking Your Data using AI with Box Extract & MCP Server. Register here
curl -i -X POST "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography/levels" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '[
{
"displayName": "Continent",
"description": "Continent Level"
},
{
"displayName": "Country",
"description": "Country Level"
}
]'{
"entries": [
{
"displayName": "Continent",
"description": "Continent",
"level": 1
}
]
}Creates new metadata taxonomy levels.
curl -i -X POST "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography/levels" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '[
{
"displayName": "Continent",
"description": "Continent Level"
},
{
"displayName": "Country",
"description": "Country Level"
}
]'{
"entries": [
{
"displayName": "Continent",
"description": "Continent",
"level": 1
}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
The namespace of the metadata taxonomy.
The key of the metadata taxonomy.
Returns an array of all taxonomy levels.
Levels in the metadata taxonomy represent hierarchical categories within the taxonomy structure.
An array of all taxonomy levels.
Show child attributes
Was this page helpful?